:root {
	--bg: #262626;
    --text-main: #E4E4E4;
    --green: #57BD80;
    --input-bg: #414141;
    --input-stroke: #5A5A5A;
    --input-text: #ECECEC;
}

* {
    margin: 0;
    font-family: 'Roboto', sans-serif;
}
body {
    background-color: var(--bg);
    color: var(--text-main);
    font-size: 16px;
    line-height: 1.5;
}
nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
}
nav div {
    display: flex;
    align-items: center;
    gap: 10px;
}
nav div a {
    color: var(--text-main);
    text-decoration: none;
}
nav div a img {
    margin-top: 5px;
    padding: 3px;
}
#clock {
    margin-left: 10px;
    margin-top: -5px;
}
nav h1 a {
    align-items: center;
    color: var(--text-main);
    text-decoration: none;
}
#landing {
    display: grid;
    margin: auto;
    margin-top: 12vh;
    grid-template-rows: 1fr 1fr;
    max-width: 500px;
}
#landing h1 {
    text-align: center;
}
#landing h3 {
    text-align: center;
    margin: auto;
}
#findForm {
    width: calc(100% - 20px);
    display: flex;
    margin: 10px;
}
.findInput {
    background-color: transparent;
    color: var(--text-main);
    border: none;
    border-bottom: 1px solid grey;
    padding: 8px 0;
    margin: 2px;
}
#findSongInput {
    flex-grow: 2;
}
#findMarkerInput {
    width: 50px;
    text-align: center;
}
#findFormSubmit {
    background-color: #333333;
    color: var(--text-main);
    border: 1px solid #454545;
    border-radius: 5px;
    margin-left: 8px;
    cursor: pointer;
}
#libraryButton {
    background-color: #333333;
    width: 12em;
    text-align: center;
    padding: 7px 0;
    border-radius: 5px;
    margin: auto;
    cursor: pointer;
    text-decoration: none;
    color: var(--text-main);
}
#landing #dropsLabel {
    margin-top: 30px;
}

.drop {
    display: grid;
    grid-template-columns: 1fr 30px;
    margin: 10px;
    padding: 10px 15px;
    border-radius: 10px;
    background-color: #333333;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.25);
}

.drop a {
    display: flex;
    flex-grow: 2;
    align-items: center;
    text-decoration: none;
    color: var(--text-main);
}

.dropSpot {
    padding: 8px;
    margin-right: -8px;
}

.dropArt {
    background-color: black;
    height: 50px;
    width: 50px;
}

.dropText {
    margin-left: 10px;
    height: 50px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-grow: 2;
}

/* Library */
#library {
    margin: auto;
    margin-top: 5vh;
    max-width: 500px;
}
#pageControl {
    display: flex;
    gap: 5px;
    margin: auto;
    justify-content: center;
    margin: 20px 0;
}
#pageControl button {
    width: 120px;
}

/* Player */
#player {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-top: 30px;
}

#player h3 {
    margin: 10px;
}

#devices {
    width: 530px;
    max-width: calc(100% - 30px);
    background-color: #333333;
    padding: 8px;
    border-radius: 5px;
    border: none;
    color: var(--text-main);
}

#activateBtn {
    background-color: var(--green);
    color: black;
    width: auto;
    border-radius: 5px;
    cursor: pointer;
    margin: 10px;
    text-align: center;
    position: relative;
}
#activateText {
    padding: 7px 20px;
    text-align: center;
}
#activateProgress {
    background-color: #00000038;
    height: 100%;
    border-radius: 5px;
    position: absolute;
}
@keyframes progress {
    0% {
        width: 0;
    }
    100% {
        width: 100%;
    }
}

.timeInput {
    background-color: var(--input-bg);
    border: 1px solid var(--input-stroke);
    color: var(--input-text);
    border-radius: 3px;
    padding: 5px 8px;
    text-align: center;
    margin: 10px 0;
    height: 25px;
}
#track {
    width: 500px;
    max-width: calc(100% - 60px);
    margin-bottom: 20vh;
}
#track a img {
    padding-left: 5px;
    margin-left: 3px;
}
#trackStarts {
    font-size: 11pt;
}

/* Moat */
#moat {
    margin: auto;
    width: 100%;
    text-align: center;
    margin-top: 30vh;
}
#moat h4 {
    margin: 10px;
}
#moat p {
    font-size: 10pt;
}

#drawbridge {
    width: 100%;
    margin-top: 35vh;
    text-align: center;
}